Bug 117789 - anaconda crashes when starting the installation
anaconda crashes when starting the installation
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 11:38 EST by Hans-Christian Schulte
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 11:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans-Christian Schulte 2004-03-08 11:38:06 EST
Traceback (innermost last):
  File "/usr/bin/anaconda", line 629, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 781, in run
    self.setup_window (runres)
  File "/usr/lib/anaconda/gui.py", line 761, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 508, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 243, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 931, in doAutoPartition
    doPartitioning(diskset, partitions, doRefresh = 0)
  File "/usr/lib/anaconda/autopart.py", line 739, in doPartitioning
    (ret, msg) = processPartitioning(diskset, requests, newParts)
  File "/usr/lib/anaconda/autopart.py", line 701, in processPartitioning
    ret = fitSized(diskset, requests, 1, newParts)
  File "/usr/lib/anaconda/autopart.py", line 270, in fitSized
    disk = diskset.disks[drive]
KeyError: ida/c0d0

Local variables in innermost frame:
primOnly: 1
todo: {1: [<partitioning.PartitionSpec instance at 850d2e0>,
<partitioning.PartitionSpec instance at 8668b08>], 0:
[<partitioning.PartitionSpec instance at 850a448>]}
request: mountpoint: /boot   type: ext3   uniqueID:15
  size: 64M   requestSize: 64M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
requests: <partitioning.Partitions instance at 83fe4e0>
drives: ['ida/c0d0']
isBoot: 1
diskset: <partitioning.DiskSet instance at 837a430>
num: 0
numDrives: 1
free: {'sda': [<PedPartition object at 84d8098>]}
drive: ida/c0d0
largestPart: (0, None)
newParts: 
bootreq: mountpoint: /boot   type: ext3   uniqueID:15
  size: 64M   requestSize: 64M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
number: [0, 1]


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'fdisk': 1, 'findpackages': 1,
'reconfigkeyboard': 1, 'handleX11pkgs': 1, 'authentication': 1,
'package-selection': 1, 'bootdisk': 1, 'videocard': 1,
'autopartition': 1, 'findinstall': 1, 'partition': 1,
'upgradeswapsuggestion': 1, 'language': 1, 'network': 1,
'findrootparts': 1, 'upgradecontinue': 1, 'confirminstall': 1,
'bootloader': 1, 'mouse': 1, 'addswap': 1, 'indivpackage': 1,
'timezone': 1, 'partitionmethod': 1, 'keyboard': 1, 'makebootdisk': 1,
'accounts': 1, 'installtype': 1, 'xcustom': 1, 'partitionmethodsetup':
1, 'upgrademount': 1, 'languagesupport': 1, 'welcome': 1,
'confirmupgrade': 1, 'reconfigcomplete': 1, 'upgrademigratefs': 1,
'bootloaderpassword': 1, 'monitor': 1, 'firewall': 1, 'upgrademigfind': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title':
Red Hat Linux}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: [English (USA)]
    langNicks: None
    default: English (USA)
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01',
'lat0-sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01',
'lat0-sun16'), 'Italian (Italy)': ('it_IT@euro', 'iso15',
'lat0-sun16'), 'Arabic (Lebanon)': ('ar_LB', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Guatemala)': ('es_GT', 'iso01',
'lat0-sun16'), 'Malay (Malaysia)': ('ms_MY', 'iso01', 'lat0-sun16'),
'Arabic (Libyan Arab Jamahiriya)': ('ar_LY', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Iraq)': ('ar_IQ', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Kuwait)': ('ar_KW', 'iso06',
'LatArCyrHeb-16'), 'English (South Africa)': ('en_ZA', 'iso01',
'lat0-sun16'), 'French (Switzerland)': ('fr_CH', 'iso01',
'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH', 'iso06',
'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'),
'French (France)': ('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic
(Greenland)': ('kl_GL', 'iso01', 'lat0-sun16'), 'Korean (Republic of
Korea)': ('ko_KR.eucKR', 'iso01', 'lat0-sun16'), 'Ukrainian':
('uk_UA', 'koi8-u', 'cyr-sun16'), 'Spanish (Mexico)': ('es_MX',
'iso01', 'lat0-sun16'), 'Greek': ('el_GR', 'iso07', 'iso07.16'),
'Spanish (El Salvador)': ('es_SV', 'iso01', 'lat0-sun16'), 'Spanish
(Peru)': ('es_PE', 'iso01', 'lat0-sun16'), 'Spanish (Honduras)':
('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)': ('es_CR',
'iso01', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 'iso01',
'lat0-sun16'), 'Dutch (Netherlands)': ('nl_NL@euro', 'iso15',
'lat0-sun16'), 'Serbian (Yugoslavia)': ('sr_YU@cyrillic', 'iso05',
'cyr-sun16'), 'Bosnian (Bosnia and Herzegowina)': ('bs_BA', 'iso02',
'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA', 'koi8-u', 'cyr-sun16'),
'Portuguese (Portugal)': ('pt_PT@euro', 'iso15', 'lat0-sun16'),
'Afrikaans (South Africa)': ('af_ZA', 'iso01', 'lat0-sun16'),
'Norwegian': ('no_NO', 'iso01', 'lat0-sun16'), 'Arabic (Morocco)':
('ar_MA', 'iso06', 'LatArCyrHeb-16'), 'English (Philippines)':
('en_PH', 'iso01', 'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ',
'iso06', 'LatArCyrHeb-16'), 'Indonesian': ('id_ID', 'iso01',
'lat0-sun16'), 'Danish': ('da_DK', 'iso01', 'lat0-sun16'), 'Chinese
(Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01', 'lat0-sun16'), 'Faroese
(Faroe Islands)': ('fo_FO', 'iso01', 'lat0-sun16'), 'Galician
(Spain)': ('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New
Zealand)': ('en_NZ', 'iso01', 'lat0-sun16'), 'Spanish (Bolivia)':
('es_BO', 'iso01', 'lat0-sun16'), 'Cornish (Britain)': ('kw_GB',
'iso01', 'lat0-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE',
'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)': ('es_NI', 'iso01',
'lat0-sun16'), 'German (Austria)': ('de_AT@euro', 'iso15',
'lat0-sun16'), 'Romanian': ('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish
(Paraguay)': ('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)':
('he_IL', 'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)':
('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish (USA)': ('es_US',
'iso01', 'lat0-sun16'), 'Portuguese (Brasil)': ('pt_BR', 'iso01',
'lat0-sun16'), 'Spanish (Equador)': ('es_EC', 'iso01', 'lat0-sun16'),
'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak': ('sk_SK',
'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05', 'cyr-sun16'),
'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish
(Chile)': ('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab
Republic)': ('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ',
'iso02', 'lat2-sun16'), 'Irish': ('ga_IE@euro', 'iso15',
'lat0-sun16'), 'Arabic (Jordan)': ('ar_JO', 'iso06',
'LatArCyrHeb-16'), 'Italian (Switzerland)': ('it_CH', 'iso01',
'lat0-sun16'), 'German (Belgium)': ('de_BE@euro', 'iso15',
'lat0-sun16'), 'Albanian': ('sq_AL', 'iso01', 'lat0-sun16'), 'Occitan
(France)': ('oc_FR', 'iso01', 'lat0-sun16'), 'Finnish': ('fi_FI@euro',
'iso15', 'lat0-sun16'), 'Swedish (Sweden)': ('sv_SE', 'iso01',
'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01',
'lat0-sun16'), 'Dutch (Belgium)': ('nl_BE@euro', 'iso15',
'lat0-sun16'), 'Spanish (Panama)': ('es_PA', 'iso01', 'lat0-sun16'),
'Spanish (Venezuela)': ('es_VE', 'iso01', 'lat0-sun16'), 'English
(Great Britain)': ('en_GB', 'iso01', 'lat0-sun16'), 'Russian':
('ru_RU.koi8r', 'koi8-u', 'cyr-sun16'), 'Norwegian, Nynorsk (Norway)':
('nn_NO', 'iso01', 'lat0-sun16'), 'English (Zimbabwe)': ('en_ZW',
'iso01', 'lat0-sun16'), 'English (USA)': ('en_US', 'iso01',
'lat0-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso01',
'lat0-sun16'), 'Breton (France)': ('br_FR', 'iso01', 'lat0-sun16'),
'Chinese (P.R. of China)': ('zh_CN.GB2312', 'iso01', 'lat0-sun16'),
'Arabic (Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'), 'Basque
(Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)':
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG',
'iso06', 'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro',
'iso15', 'lat0-sun16'), 'English (Ireland)': ('en_IE@euro', 'iso15',
'lat0-sun16'), 'Hungarian': ('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic
(Tunisia)': ('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French
(Luxemburg)': ('fr_LU@euro', 'iso15', 'lat0-sun16'), 'Japanese':
('ja_JP.eucJP', 'iso01', 'lat0-sun16'), 'Uzbek (Uzbekistan)':
('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish (Finland)': ('sv_FI@euro',
'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Dominican Republic)': ('es_DO', 'iso01',
'lat0-sun16'), 'French (Canada)': ('fr_CA', 'iso01', 'lat0-sun16'),
'English (Canada)': ('en_CA', 'iso01', 'lat0-sun16'), 'German
(Germany)': ('de_DE@euro', 'iso15', 'lat0-sun16'), 'Slovenian
(Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)':
('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': ('de_CH',
'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01',
'lat0-sun16'), 'Catalan (Spain)': ('ca_ES@euro', 'iso15',
'lat0-sun16'), 'Spanish (Puerto Rico)': ('es_PR', 'iso01',
'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-sun16'),
'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic (Sudan)':
('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS', 'iso01',
'lat0-sun16'), 'English (Botswana)': ('en_BW', 'iso01', 'lat0-sun16'),
'Manx Gaelic (Britain)': ('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SYSFONT': lat0-sun16, 'SUPPORTED': en_US:en, 'SYSFONTACM':
iso01, 'LANG': en_US}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'sda': <PedDisk object at 850cae8>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen':
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title':
Red Hat Linux}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': us,
'Norwegian': no-latin1, 'Swedish': se-latin1, 'French': fr-latin1,
'Japanese': jp106, 'Slovenian': slovene, 'Czech': cz-lat2,
'Ukrainian': ua, 'Spanish': es, 'German': de-latin1-nodeadkeys,
'Danish': us, 'Icelandic': is-latin1}
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian':
cyr-sun16, 'English': default8x16, 'Norwegian': lat0-sun16, 'Swedish':
lat0-sun16, 'French': lat0-sun16, 'Japanese': Kon, 'Slovenian':
lat2-sun16, 'Czech': lat2-sun16, 'Ukrainian': cyr-sun16, 'Spanish':
lat0-sun16, 'German': lat0-16, 'Danish': lat0-sun16, 'Icelandic':
lat0-sun16}
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian':
ru_RU.koi8r, 'English': en_US, 'Norwegian': no_NO, 'Swedish': sv_SE,
'French': fr_FR, 'Japanese': ja_JP.eucJP, 'Slovenian': sl_SI, 'Czech':
cs_CZ, 'Ukrainian': uk_UA, 'Spanish': es_ES, 'German': de_DE,
'Danish': da_DK, 'Icelandic': is_IS}
    langList: [Czech, Danish, English, French, German, Icelandic,
Italian, Japanese, Korean, Norwegian, Russian, Slovenian, Spanish,
Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian':
Europe/Moscow, 'English': America/New_York, 'Norwegian': Europe/Oslo,
'Swedish': Europe/Stockholm, 'French': Europe/Paris, 'Japanese':
Asia/Tokyo, 'Slovenian': Europe/Ljubljana, 'Czech': Europe/Prague,
'Ukrainian': Europe/Kiev, 'Spanish': Europe/Madrid, 'German':
Europe/Berlin, 'Danish': Europe/Copenhagen, 'Icelandic':
Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r,
'English': iso01, 'Norwegian': iso15, 'Swedish': iso15, 'French':
iso15, 'Japanese': None, 'Slovenian': iso02, 'Czech': iso02,
'Ukrainian': koi8-u, 'Spanish': iso15, 'German': iso09, 'Danish':
iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {'DESKTOP': }
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 8472df0>]
Primary Video Card Info:
device: None
descr : ATI|Rage XL
server: XFree86
cardManf: ATI MACH64
vidRam: 8192
carddata: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati',
'NOCLOCKPROBE': '', 'CHIPSET': 'ati', 'VENDOR': 'ATI MACH64'}
devID: ATI Mach64
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: de
    manualModes: {'8': ['800x600']}
    mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

    monlist: {}
    keyRules: xfree86
    keyModel: pc102
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: device: None
descr : ATI|Rage XL
server: XFree86
cardManf: ATI MACH64
vidRam: 8192
carddata: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati',
'NOCLOCKPROBE': '', 'CHIPSET': 'ati', 'VENDOR': 'ATI MACH64'}
devID: ATI Mach64
fbmodes: None
fbbpp: None

    keyOptions: 
    modes: {'16': ['800x600']}
    res: None
    monitor: monEisa: None
monName: None
monID: Unprobed Monitor
fbmonSect: 
monHoriz: 31.5-48.5
monVert: 50-70

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: KickstartBase instance, containing members:
    preScripts: []
    clearType: svr
    id: Already dumped
    serial: 0
    file: /tmp/ks.cfg
    interactive: 0
    installType: install
    earlySwapOn: 1
    skipSteps: [language, languagesupport, keyboard, mouse, videocard,
monitor, xcustom, handleX11pkgs, accounts, authentication, timezone,
bootloader, bootloaderpassword, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition, partition,
partitionmethod, partitionmethodsetup, fdisk, autopartition,
partition, partitionmethod, partitionmethodsetup, fdisk,
autopartition, partition, partitionmethod, partitionmethodsetup,
fdisk, autopartition, partition, partitionmethod,
partitionmethodsetup, fdisk, autopartition, partition,
partitionmethod, partitionmethodsetup, fdisk, autopartition,
partition, partitionmethod, partitionmethodsetup, fdisk, autopartition]
    excludedList: []
    postScripts: [(s: '' i: /bin/sh c: 1)
]
    clearPartText: None
    packageList: [compat-libstdc++, VFlib2-devel, qt-devel, ddd,
IBMJava2-SDK, libpcap, asp2php-gtk, freetype-devel, kernel-smp,
lesstif-devel, doxygen, redhat-config-network, openmotif-devel,
apache-devel, nmap-frontend, qt-designer, kdoc, vnc, libxml-devel,
XFree86-devel, vnc-server, Xaw3d-devel, htmlview, pvm-gui,
libmng-devel, libungif-devel, memprof, glib-devel, Mesa-devel,
netpbm-devel, xpdf, imlib-devel, apacheconf, openssh-askpass, ical,
audiofile-devel, usbview, gtk+-devel]
    groupList: [X Window System, Network Support, Utilities, Software
Development, Advanced Server]
  partitions: Partitions instance, containing members:
    deletes: [drive: sda  start: 21157605L  end: 71087624L
, drive: sda  start: 27455148L  end: 31648049L
, drive: sda  start: 50540553L  end: 50556554L
, drive: sda  start: 64260L  end: 192779L
, drive: sda  start: 63L  end: 64259L
, drive: sda  start: 192780L  end: 21157604L
, drive: sda  start: 21157668L  end: 27455084L
, drive: sda  start: 31648113L  end: 35841014L
, drive: sda  start: 35841078L  end: 40033979L
, drive: sda  start: 40034043L  end: 44226944L
, drive: sda  start: 44227008L  end: 46331459L
, drive: sda  start: 46331523L  end: 48435974L
, drive: sda  start: 48436038L  end: 50540489L
]
    autoPartitionRequests: [mountpoint: /boot   type: ext3   uniqueID:None
  size: 64M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:None
  size: 8192M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /   type: ext3   uniqueID:None
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /usr   type: ext3   uniqueID:None
  size: 3072M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /var   type: ext3   uniqueID:None
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /opt   type: ext3   uniqueID:None
  size: 1024M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /oracle   type: ext3   uniqueID:None
  size: 10240M   requestSize: NoneM  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    isKickstart: 1
    zeroMbr: 0
    requests: [mountpoint: /boot   type: ext3   uniqueID:15
  size: 64M   requestSize: 64M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /oracle   type: ext3   uniqueID:21
  size: 10240M   requestSize: 10240M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:14
  size: 10024.9365234M   requestSize: 10024.9365234M  grow: 0   max: None
  start: 50556555L   end: 71087624L   partnum: None
  drive: sda   primary: None  
  format: None, options: None  device: sda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:16
  size: 8192M   requestSize: 8192M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /usr   type: ext3   uniqueID:18
  size: 3072M   requestSize: 3072M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /var   type: ext3   uniqueID:19
  size: 1024M   requestSize: 1024M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /opt   type: ext3   uniqueID:20
  size: 1024M   requestSize: 1024M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /   type: ext3   uniqueID:17
  size: 1024M   requestSize: 1024M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: ['ida/c0d0']   primary: 1  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    autoClearPartDrives: None
    reinitializeDisks: 0
    nextUniqueID: 22
    autoClearPartType: 2
    useAutopartitioning: 1
    useFdisk: 0
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 0
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: 0
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: GMT
    arc: 0
    utcOffset: 0
    utc: 1
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': de-latin1}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    nisServer: 
    useLdap: 0
    krb5Kdc: 
    useHesiod: 0
    ldapServer: 
    hesiodRhs: 
    useLdapauth: 0
    enableCache: 0
    krb5Admin: 
    ldapBasedn: 
    useSamba: 0
    krb5Realm: 
    useMD5: 0
    ldapTLS: 
    sambaWorkgroup: 
    nisDomain: 
    sambaServer: 
    useShadow: 0
    nisuseBroadcast: 0
    useKrb5: 0
    hesiodLhs: 
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 0
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: 0
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 189.10.1.232
    secondaryNS: 
    hostname: rhs-orat-bnk2
    primaryNS: 189.10.1.254
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 0
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 828d2e8>
    waitWindow: <method InstallInterface.waitWindow of
InstallInterface instance at 828d2e8>
    messageWindow: <method InstallInterface.messageWindow of
InstallInterface instance at 828d2e8>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 828d2e8>
  device: hda
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of
InstallInterface instance at 828d2e8>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1,
'reconfig': 0, 'setupFilesystems': 1}
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png,
'WelcomeScreen': pixmaps/splash.png, 'TitleBar':
pixmaps/anaconda_header.png, 'Title': Red Hat Linux}
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 843b4c0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 8663de0>
    window: GtkWindow instance, containing members:
      _o: <GtkObject of type GtkWindow at 81a5a78>
    prevButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 843b3e8>
    helpFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 868c4d0>
    box: GtkVBox instance, containing members:
      _o: <GtkObject of type GtkVBox at 868c598>
    hbox: GtkHBox instance, containing members:
      _o: <GtkObject of type GtkHBox at 8664ed0>
    releaseButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 843b478>
    windowList: []
    installFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 8666170>
    ii: Already dumped
    reloadRcQueued: 0
    dispatch: Already dumped
    nextButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 843b430>
    hideHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 843b508>
    buttonBox: GtkHButtonBox instance, containing members:
      _o: <GtkObject of type GtkHButtonBox at 82a7a08>
    handle: None
    stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method
InstallControlWindow.prevClicked of InstallControlWindow instance at
842e710>), ('Button_Next', 'nextButtonStock', 'Next', <method
InstallControlWindow.nextClicked of InstallControlWindow instance at
842e710>), ('Button_Help', 'releaseButton', 'Release Notes', <method
InstallControlWindow.releaseClicked of InstallControlWindow instance
at 842e710>), ('Button_Help', 'showHelpButton', 'Show Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at
842e710>), ('Button_Help', 'hideHelpButton', 'Hide Help', <method
InstallControlWindow.helpClicked of InstallControlWindow instance at
842e710>)]
    displayHelp: 1
step: 13
dispatch: Already dumped


/tmp/syslog:
<4>Linux version 2.4.9-e.3BOOT (bhcompile@daffy.perf.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.2 2.96-108.1)) #1 Fri May 3
16:08:05 EDT 2002
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
<4> BIOS-e820: 0000000000100000 - 00000000effe0000 (usable)
<4> BIOS-e820: 00000000effe0000 - 00000000effefc00 (ACPI data)
<4> BIOS-e820: 00000000effefc00 - 00000000effff000 (reserved)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
<4> BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
<4>Warning only 896MB will be used.
<4>Use a HIGHMEM enabled kernel.
<5>896MB LOWMEM available.
<4>found SMP MP-table at 000fe710
<4>hm, page 000fe000 reserved twice.
<4>hm, page 000ff000 reserved twice.
<4>hm, page 000f0000 reserved twice.
<4>On node 0 totalpages: 229376
<4>zone(0): 4096 pages.
<4>zone(1): 225280 pages.
<4>zone(2): 0 pages.
<6>ACPI: Searched entire block, no RSDP was found.
<6>ACPI: RSDP located at physical address c00fdc40
<6>RSD PTR  v0 [DELL  ]
<6>ACPI table found: RSDT v1 [DELL   PE2650   0.1]
<4>init.c:122: bad pte 000fd163.
<4>init.c:122: bad pte 000fd163.
<6>ACPI table found: FACP v1 [DELL   PE2650   0.1]
<4>init.c:122: bad pte 000fd163.
<4>init.c:122: bad pte 000fd163.
<6>ACPI table found: APIC v1 [DELL   PE2650   0.1]
<4>init.c:122: bad pte 000fd163.
<6>LAPIC (acpi_id[0x0001] id[0x0] enabled[1])
<6>CPU 0 (0x0000) enabledProcessor #0 Unknown CPU [15:2] APIC version 16
<4>
<6>LAPIC (acpi_id[0x0002] id[0x6] enabled[1])
<6>CPU 1 (0x0600) enabledProcessor #6 Unknown CPU [15:2] APIC version 16
<4>
<6>LAPIC (acpi_id[0x0003] id[0x1] enabled[0])
<6>CPU 2 (0x0100) disabled
<6>LAPIC (acpi_id[0x0004] id[0x7] enabled[0])
<6>CPU 3 (0x0700) disabled
<6>IOAPIC (id[0x8] address[0xfec00000] global_irq_base[0x0])
<6>IOAPIC (id[0x9] address[0xfec01000] global_irq_base[0x10])
<6>IOAPIC (id[0xa] address[0xfec02000] global_irq_base[0x20])
<6>LAPIC_NMI (acpi_id[0x0001] polarity[0x1] trigger[0x1] lint[0x1])
<6>LAPIC_NMI (acpi_id[0x0002] polarity[0x1] trigger[0x1] lint[0x1])
<6>LAPIC_NMI (acpi_id[0x0003] polarity[0x1] trigger[0x1] lint[0x1])
<6>LAPIC_NMI (acpi_id[0x0004] polarity[0x1] trigger[0x1] lint[0x1])
<6>4 CPUs total
<6>Local APIC address fee00000
<4>init.c:122: bad pte 000fd163.
<4>init.c:122: bad pte 000fd163.
<6>ACPI table found: SPCR v1 [DELL   PE2650   0.1]
<4>Enabling the CPU's according to the ACPI table
<4>Intel MultiProcessor Specification v1.4
<4>    Virtual Wire compatibility mode.
<4>OEM ID: DELL     Product ID: PE 0121      APIC at: 0xFEE00000
<4>I/O APIC #8 Version 17 at 0xFEC00000.
<4>I/O APIC #9 Version 17 at 0xFEC01000.
<4>I/O APIC #10 Version 17 at 0xFEC02000.
<4>Processors: 2
<4>Kernel command line: expert initrd=initrd.img lang= devfs=nomount
ramdisk_size=7168 BOOT_IMAGE=vmlinuz ks=floppy
<6>Initializing CPU#0
<4>Detected 2785.243 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 5557.45 BogoMIPS
<4>Memory: 890844k/917504k available (1190k kernel code, 19208k
reserved, 93k data, 108k init, 0k highmem)
<4>Dentry-cache hash table entries: 131072 (order: 8, 1048576 bytes)
<4>Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
<4>Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
<4>Buffer-cache hash table entries: 65536 (order: 6, 262144 bytes)
<4>Page-cache hash table entries: 262144 (order: 9, 2097152 bytes)
<7>CPU: Before vendor init, caps: bfebfbff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 12K, L1 D cache: 8K
<6>CPU: L2 cache: 512K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU: After vendor init, caps: bfebfbff 00000000 00000000 00000000
<7>CPU:     After generic, caps: bfebfbff 00000000 00000000 00000000
<7>CPU:             Common caps: bfebfbff 00000000 00000000 00000000
<4>CPU: Intel(R) Xeon(TM) CPU 2.80GHz stepping 09
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<4>PCI: PCI BIOS revision 2.10 entry at 0xfc91e, last bus=5
<4>PCI: Using configuration type 1
<4>PCI: Probing PCI hardware
<6>PCI: Discovered primary peer bus 01 [IRQ]
<6>PCI: Discovered primary peer bus 02 [IRQ]
<6>PCI: Discovered primary peer bus 03 [IRQ]
<3>Unknown bridge resource 2: assuming transparent
<6>PCI: Discovered primary peer bus 04 [IRQ]
<6>PCI: Using IRQ router default [1166/0201] at 00:0f.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<4>Starting kswapd v1.8
<4>bigpage subsystem: allocated 0 bigpages (=0MB).
<5>aio_setup: num_physpages = 57344
<5>aio_setup: sizeof(struct page) = 68
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ
SERIAL_PCI enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS01 at 0x02f8 (irq = 3) is a 16550A
<4>block: queued sectors max/low 591208kB/460136kB, 1792 slots per queue
<4>RAMDISK driver initialized: 16 RAM disks of 7168K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with
idebus=xx
<4>ServerWorks CSB5: IDE controller on PCI bus 00 dev 79
<4>ServerWorks CSB5: chipset revision 147
<4>ServerWorks CSB5: not 100% native mode: will probe irqs later
<4>ServerWorks CSB5: simplex device:  DMA disabled
<4>ide0: ServerWorks CSB5 Bus-Master DMA disabled (BIOS)
<4>ServerWorks CSB5: simplex device:  DMA disabled
<4>ide1: ServerWorks CSB5 Bus-Master DMA disabled (BIOS)
<4>hda: TEAC CD-ROM CD-224E, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>hda: ATAPI 24X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a National Semiconductor PC87306
<6>loop: loaded (max 8 devices)
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<4>md: autorun ...
<4>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache hash table of 8192 buckets, 64Kbytes
<4>TCP: Hash tables configured (established 262144 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<4>Freeing initrd memory: 2115k freed
<4>EXT2-fs warning: checktime reached, running e2fsck is recommended
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-ohci.c: USB OHCI at membase 0xf8831000, IRQ 5
<6>usb-ohci.c: usb-00:0f.2, PCI device 1166:0220
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 4 ports detected
<6>usb.c: registered new driver hid
<6>usb.c: registered new driver hiddev
<6>hid-core.c: v1.8 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<6>usb.c: deregistering driver usb-storage
<6>Red Hat/Adaptec aacraid driver, May  3 2002
<6>scsi0 : percraid
<4>  Vendor: DELL      Model: PERCRAID Mirror   Rev: 0001
<4>  Type:   Direct-Access                      ANSI SCSI revision: 02
<4>Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
<4>SCSI device sda: 71090176 512-byte hdwr sectors (36398 MB)
<4>sda: Write Protect is off
<6>Partition check:
<6> sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 sda10 sda11
sda12 sda13 >
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  3234.000 MB/sec
<4>   32regs    :  2103.600 MB/sec
<4>   pII_mmx   :  3376.400 MB/sec
<4>   p5_mmx    :  3205.200 MB/sec
<4>raid5: using function: pII_mmx (3376.400 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
Comment 1 Jeremy Katz 2004-03-08 11:55:34 EST
Your kickstart config says to put partitions on /dev/ida/c0d0 and you
don't have a cpqarray controller in this machine.

Note You need to log in before you can comment on or make changes to this bug.